Annotations & Comments¶
Labels, comments, and content annotations.
Labels¶
Endpoints related to labels.
- GET /label-relationship/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested order cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
- POST /label-relationship/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested order cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
- Response Headers:
Location – URI of the created resource
- GET /label-relationship/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested order cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
- DELETE /label-relationship/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested order cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
- GET /label/¶
List all of the order in the system for your account.
List all of the order in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested label cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
403 Forbidden – Create, edit and delete labels can only be done by a bureau manager.
- POST /label/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested label cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
403 Forbidden – Create, edit and delete labels can only be done by a bureau manager.
- Response Headers:
Location – URI of the created resource
- GET /label/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested label cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
403 Forbidden – Create, edit and delete labels can only be done by a bureau manager.
- PUT /label/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested label cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
403 Forbidden – Create, edit and delete labels can only be done by a bureau manager.
- DELETE /label/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested label cannot be found.
400 Bad Request – You can’t modify or delete un-editable labels.
403 Forbidden – Create, edit and delete labels can only be done by a bureau manager.
Comments¶
Endpoints related to comments.
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
200 OK – Successful response with list of resources
404 Not Found – The requested comment cannot be found.
403 Forbidden – Modification of the comment allowed only for comment owner.
400 Bad Request – Filtering using text_ilike requires a related_table_name filter Filtering using text_ilike is not valid for comments on this table Filtering using text_ilike is only valid if a text filter is also provided
201 Created – Resource created successfully
404 Not Found – The requested comment cannot be found.
403 Forbidden – Modification of the comment allowed only for comment owner.
400 Bad Request – Filtering using text_ilike requires a related_table_name filter Filtering using text_ilike is not valid for comments on this table Filtering using text_ilike is only valid if a text filter is also provided
Location – URI of the created resource
uuid (string) – The UUID of the resource
200 OK – Successful response
404 Not Found – The requested comment cannot be found.
403 Forbidden – Modification of the comment allowed only for comment owner.
400 Bad Request – Filtering using text_ilike requires a related_table_name filter Filtering using text_ilike is not valid for comments on this table Filtering using text_ilike is only valid if a text filter is also provided
uuid (string) – The UUID of the resource
204 No Content – Resource updated successfully
404 Not Found – The requested comment cannot be found.
403 Forbidden – Modification of the comment allowed only for comment owner.
400 Bad Request – Filtering using text_ilike requires a related_table_name filter Filtering using text_ilike is not valid for comments on this table Filtering using text_ilike is only valid if a text filter is also provided
uuid (string) – The UUID of the resource
204 No Content – Resource deleted successfully
404 Not Found – The requested comment cannot be found.
403 Forbidden – Modification of the comment allowed only for comment owner.
400 Bad Request – Filtering using text_ilike requires a related_table_name filter Filtering using text_ilike is not valid for comments on this table Filtering using text_ilike is only valid if a text filter is also provided
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
200 OK – Successful response with list of resources
404 Not Found – The requested comment action cannot be found.
uuid (string) – The UUID of the resource
200 OK – Successful response
404 Not Found – The requested comment action cannot be found.
uuid (string) – The UUID of the resource
204 No Content – Resource updated successfully
404 Not Found – The requested comment action cannot be found.